#
# Conditional build:
%bcond_without	bonobo	# don't use bonobo
%bcond_without	gnome	# don't use GNOME to display documentation
%bcond_without	gimp	# don't build GIMP plugin
#
Summary:	GTKam - graphical frontend for gphoto2
Summary(pl.UTF-8):	GTKam - graficzny interfejs do gphoto2
Name:		gtkam
Version:	0.2.0
Release:	2
License:	LGPL v2+
Group:		X11/Applications/Graphics
Source0:	http://downloads.sourceforge.net/gphoto/%{name}-%{version}.tar.bz2
# Source0-md5:	a94e8615efb2c975695401af6e13ef63
Patch0:		%{name}-paths.patch
Patch1:		%{name}-link.patch
Patch2:		am.patch
Patch3:		format-security.patch
URL:		http://www.gphoto.org/proj/gtkam/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.14.1
%{?with_gimp:BuildRequires:	gimp-devel >= 1:2.0}
BuildRequires:	gnome-common
BuildRequires:	gtk+2-devel >= 2.0.0
BuildRequires:	intltool
%{?with_bonobo:BuildRequires:	libbonoboui-devel}
BuildRequires:	libexif-devel >= 0.3.2
BuildRequires:	libexif-gtk-devel
%{?with_gnome:BuildRequires:	libgnomeui-devel}
BuildRequires:	libgphoto2-devel >= 2.5.0
BuildRequires:	libtool
%{?with_gimp:BuildRequires:	libusb-compat-devel}
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	scrollkeeper
Requires:	libgphoto2 >= 2.5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%if %{with gimp}
%define		gimpplugindir	%(gimptool --gimpplugindir)/plug-ins
%endif

%description
The gtkam package provides a GTK+-based frontend to gphoto2.

%description -l pl.UTF-8
Pakiet gtkam udostępnia oparty o GTK+ graficzny interfejs do gphoto2.

%package -n gimp-plugin-gtkam
Summary:	GIMP plug-in for direct digital camera through gphoto2
Summary(pl.UTF-8):	Wtyczka GIMPa pozwalająca na dostęp do aparatów cyfrowych przez gphoto2
Group:		X11/Applications/Graphics
Requires:	%{name} = %{version}-%{release}
Requires:	gimp >= 1:2.0

%description -n gimp-plugin-gtkam
GIMP plug-in for direct digital camera through gphoto2.

%description -n gimp-plugin-gtkam -l pl.UTF-8
Wtyczka GIMPa pozwalająca na dostęp do aparatów cyfrowych przez
gphoto2.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__gettextize}
%{__intltoolize}
%{__gnome_doc_common}
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__automake}
%configure \
	%{!?with_bonobo:--without-bonobo} \
	%{!?with_gnome:--without-gnome} \
	%{!?with_gimp:--without-gimp}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /usr/bin/scrollkeeper-update
%postun	-p /usr/bin/scrollkeeper-update

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/gtkam
%{_datadir}/%{name}
%{_mandir}/man1/gtkam.1*
%{_desktopdir}/gtkam.desktop
%{_pixmapsdir}/gtkam*.png

%if %{with gimp}
%files -n gimp-plugin-gtkam
%defattr(644,root,root,755)
%attr(755,root,root) %{gimpplugindir}/gtkam-gimp
%endif
%changelog
* Wed Jul 15 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gtkam.git;a=log;h=master

* Wed Jul 15 2015 Jan Rękorajski <baggins@pld-linux.org> ec71981
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 6fb9928
- updated gettext BR

* Fri Jun 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 2e4758d
- updated required libgphoto2 version

* Wed Jun 12 2013 Jan Rękorajski <baggins@pld-linux.org> efab2ab
- updated to 0.2.0
- fixed building with automake 1.13
- fixed format string errors

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> 9f83981
- release 3 (by relup.sh)

* Tue Jun 26 2012 Jakub Bogusz <qboosh@pld-linux.org> fd9844d
- added link patch (needed when building without GNOME or GIMP after removal of libexif-gtk.la

* Tue Jun 26 2012 Tomasz Pala <gotar@pld-linux.org> 2c05156
- rel. 2, rebuild with libexif-gtk fixed against 1.352 of gtk+2 (almost 15 months old!)

* Tue Jun 26 2012 Tomasz Pala <gotar@pld-linux.org> 8b75b95
- s/dl.sourceforge/downloads.sourceforge/ for distfiles to work, mine did

* Mon Jun 25 2012 Tomasz Pala <gotar@pld-linux.org> 3c292cc
- upgraded to 0.1.18

* Wed Sep 01 2010 Tomasz Pala <gotar@pld-linux.org> 7a567d9
- rel. 2

* Wed Aug 25 2010 Tomasz Pala <gotar@pld-linux.org> f275d36
- upgraded to 0.1.17

* Wed Jan 06 2010 sparky <sparky@pld-linux.org> 42b8959
- BR: intltool

* Wed Jan 06 2010 Tomasz Pala <gotar@pld-linux.org> 4b5034a
- --with gimp BR: libusb-compat-devel (libusb >= 0.1.11 R by libgphoto2_port.pc)

* Wed Jan 06 2010 Tomasz Pala <gotar@pld-linux.org> 6e8eff4
- upgraded to 0.1.16.1

* Thu May 29 2008 Jakub Bogusz <qboosh@pld-linux.org> c3f4989
- updated to 0.1.15
- removed obsolete locale-names patch, added am patch

* Thu May 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 00067e7
- fix gnome/help installation

* Thu May 29 2008 Jakub Bogusz <qboosh@pld-linux.org> 5ca9993
- obsolete

* Fri Jan 25 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> aca8f9a
- rel.2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 7efeebd
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 9dc42e0
- converted to UTF-8

